package com.ruoyi.oa.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.oa.mapper.CmcContractMapper;
import com.ruoyi.oa.domain.CmcContract;
import com.ruoyi.oa.service.ICmcContractService;

/**
 * cmc合同评审Service业务层处理
 * 
 * @author cmc
 * @date 2024-03-15
 */
@Service
public class CmcContractServiceImpl implements ICmcContractService 
{
    @Autowired
    private CmcContractMapper cmcContractMapper;

    /**
     * 查询cmc合同评审
     * 
     * @param contractId cmc合同评审主键
     * @return cmc合同评审
     */
    @Override
    public CmcContract selectCmcContractByContractId(String contractId)
    {
        return cmcContractMapper.selectCmcContractByContractId(contractId);
    }

    /**
     * 查询cmc合同统计
     *
     * @param contractId cmc合同评审主键
     * @return cmc合同评审
     */
    @Override
    public CmcContract selectCmcContractStatisticByContractId(String contractId)
    {
        return cmcContractMapper.selectCmcContractStatisticByContractId(contractId);
    }

    /**
     * 查询cmc合同评审列表
     * 
     * @param cmcContract cmc合同评审
     * @return cmc合同评审
     */
    @Override
    public List<CmcContract> selectCmcContractList(CmcContract cmcContract)
    {
        return cmcContractMapper.selectCmcContractList(cmcContract);
    }

    /**
     * 关联项目查询cmc合同评审列表
     *
     * @param cmcContract cmc合同评审
     * @return cmc合同评审
     */
    @Override
    public List<CmcContract> selectCmcContractListP(CmcContract cmcContract)
    {
        return cmcContractMapper.selectCmcContractListP(cmcContract);
    }

    /**
     * 模糊查询cmc合同评审列表
     *
     * @param cmcContract cmc合同评审
     * @return cmc合同评审
     */
    @Override
    public List<CmcContract> selectCmcContractListFuzzy(CmcContract cmcContract)
    {
        return cmcContractMapper.selectCmcContractListFuzzy(cmcContract);
    }

    /**
     * 按时间范围查询cmc合同评审列表
     *
     * @param cmcContract cmc合同评审
     * @return cmc合同评审
     */
    @Override
    public List<CmcContract> selectCmcContractListByRange(CmcContract cmcContract)
    {
        return cmcContractMapper.selectCmcContractListByRange(cmcContract);
    }

    /**
     * 新增cmc合同评审
     * 
     * @param cmcContract cmc合同评审
     * @return 结果
     */
    @Override
    public int insertCmcContract(CmcContract cmcContract)
    {
        return cmcContractMapper.insertCmcContract(cmcContract);
    }

    /**
     * 修改cmc合同评审
     * 
     * @param cmcContract cmc合同评审
     * @return 结果
     */
    @Override
    public int updateCmcContract(CmcContract cmcContract)
    {
        return cmcContractMapper.updateCmcContract(cmcContract);
    }

    /**
     * 批量删除cmc合同评审
     * 
     * @param contractIds 需要删除的cmc合同评审主键
     * @return 结果
     */
    @Override
    public int deleteCmcContractByContractIds(String[] contractIds)
    {
        return cmcContractMapper.deleteCmcContractByContractIds(contractIds);
    }

    /**
     * 删除cmc合同评审信息
     * 
     * @param contractId cmc合同评审主键
     * @return 结果
     */
    @Override
    public int deleteCmcContractByContractId(String contractId)
    {
        return cmcContractMapper.deleteCmcContractByContractId(contractId);
    }

    /**
     * 查询cmc合同统计列表
     *
     * @return 结果
     */
    public List<CmcContract> selectCmcContractStatistic()
    {
        return cmcContractMapper.selectCmcContractStatistic();
    }
}
